RGS spectrum of HR1099
Home Watchouts Software requirements Installation Download Documentation Calibration Help

Software requirements

In order to run SAS, several external applications must be installed on your system. Otherwise, although SAS may be initialized, some of the SAS tasks will not work properly.

Further considerations are required on Mac OS X in relation to X11 and Qt (see below).

SAOImage ds9

SAOImage DS9 is an astronomical imaging and data visualization application used by SAS.

Grace

Grace is a plotting tool based on X11 and Motif, used by SAS for 2D plots display and graphical selection.

Heasoft

Some SAS tasks require FTOOLS to be installed either individually or as part of the HEASOFT software.

We recommend the installation of HEASOFT version 6.0 (HEADAS), since SAS 7.0.0 was built with that version (except for Mac OS X where version 5.3 was used).

Perl

Some SAS tasks require perl. However, the perl version in your machine does not need to match necessarily the one used to build SAS.

The perl binary installed in your system must be adapted to work with SAS as /usr/local/bin/perl, either as a real binary or as a soft link to any other perl (typically in /usr/bin/perl).

On some GNU/Linux distributions you may have to create a symbolic link as:
ln -s /usr/bin/perl /usr/local/bin/perl

Requirements for Mac OS X

Differently as on Linux and Solaris platforms, on Mac OS X we can choose between the native Mac Graphical User Interface (GUI), based on Acqua, and X11.

For SAS 7.0.0, as we did for 6.1.0, we have chosen X11 as the basis for SAS GUIs (e.g. sas, xmmselect, calview, odfbrowser, etc. Such choice has been possible thanks to the availability of Qt on X11 or Qt/X11, provided from the Fink software repository.


Pages maintained by SAS librarian.
Any question about SAS should be addressed to the XMM-Newton help desk.

Updated on: November 18, 2006